Name:       tamil-typing-booster
Version:    0.0.1
Release:    3%{?dist}
Summary:    Tamil typing booster table for IBus indic tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table
Patch1: bug-718626.patch
Patch2: bug-742864.patch

%description
Indic typing booster package contains tables for Indic languages Tamil

%prep
%setup -q
%patch1 -p1 -b .1-updated-locale-name
%patch2 -p1 -b .2-symbol-tag

%build
%configure \
  --enable-tamil-99 \
  --enable-tamil-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n tamil-99.db
%{_bindir}/ibus-indic-table-createdb -i -n tamil-inscript.db


%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/tamil.png
%{_datadir}/ibus-indic-table/indic-tables/tamil-99.db
%{_datadir}/ibus-indic-table/indic-tables/tamil-inscript.db


%changelog
* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- Resolved bug 742864

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Tue Jun 21 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Tamil 99
- Added Tamil Inscript
